
Red-Andy - Bug #1814

Overlapping 'inline code' lines

01 Aug 2011 10:59 - Ivan Cenov

Status: Won't Fix Start date: 01 Aug 2011

Priority: Normal Due date: 26 Sep 2011

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.02   

Redmine version:    

Description

Here is the example:

 

Associated revisions

Revision 9 - 20 Sep 2011 07:20 - Andriy Lesyuk

Partially fixed #1813 and fixed #1814

Revision 10 - 20 Sep 2011 07:30 - Andriy Lesyuk

Added another rule for #1814

History

#1 - 23 Aug 2011 20:38 - Andriy Lesyuk

- Status changed from New to Incomplete

- Assignee set to Andriy Lesyuk

This is visual only. There are no “boxes” - they are rendered around text. Can be fixed by adding additional space between lines but I’m not sure if this

is a good workaround...

#2 - 19 Sep 2011 07:19 - Andriy Lesyuk

Looks like can be fixed with:

code {

    line-height: 18px;

}

 

Now sure how this affects other elements... Need to test.

Could you please check?
#3 - 19 Sep 2011 07:19 - Andriy Lesyuk

- % Done changed from 0 to 50

#4 - 19 Sep 2011 07:47 - Andriy Lesyuk

For Chrome seems it should be 20px

#5 - 19 Sep 2011 11:32 - Ivan Cenov

Where to put this? I am not fluent in CSS...

code {

     line-height: 18px;

}

There is 'code’ in application.css and it is

code {

    padding: 1px 2px;

    -moz-border-radius: 2px;

    border-radius: 2px;

    -moz-box-shadow: 1px 1px 2px #b4b4b4;

    box-shadow: 1px 1px 2px #b4b4b4;

    background-color: #fff;

    border: 1px solid #b4b4b4;

}

Inside it?

#6 - 19 Sep 2011 11:53 - Ivan Cenov

- File co_19px.jpg added

- File co_20px.jpg added

- File co_ie.jpg added

here are the results:
and

 

and in IE 8.0:

 

It seems this is the solution. I tested on Windows XP SP3 + Firefox 6.0.2 and Internet Explorer 8.0
#7 - 19 Sep 2011 13:09 - Andriy Lesyuk

- Status changed from Incomplete to Open

- Target version set to 0.02

- % Done changed from 50 to 80

Thanks! Will include it then in 0.02...

#8 - 20 Sep 2011 07:32 - Andriy Lesyuk

- Status changed from Open to Under Verification

- % Done changed from 80 to 90

Changes are in SVN... Testing them on this site.

#9 - 26 Sep 2011 14:12 - Andriy Lesyuk

- Due date set to 26 Sep 2011

- Status changed from Under Verification to Won't Fix

- % Done changed from 90 to 100

I believe it does works!

Files

redmine_code.jpg 12.1 KB 01 Aug 2011 Ivan Cenov

co_19px.jpg 44.5 KB 19 Sep 2011 Ivan Cenov

co_20px.jpg 48.3 KB 19 Sep 2011 Ivan Cenov

co_ie.jpg 103 KB 19 Sep 2011 Ivan Cenov
